package com.bootdo.system.service;

import java.util.List;

import com.bootdo.system.domain.ThirdMsgLogDOExample;
import com.bootdo.system.domain.ThirdMsgLogDO;

public interface ThirdMsgLogDOService {


    long countByExample(ThirdMsgLogDOExample example);

    int deleteByExample(ThirdMsgLogDOExample example);

    int deleteByPrimaryKey(Integer logId);

    int insert(ThirdMsgLogDO record);

    int insertSelective(ThirdMsgLogDO record);

    List<ThirdMsgLogDO> selectByExample(ThirdMsgLogDOExample example);

    ThirdMsgLogDO selectByPrimaryKey(Integer logId);

    int updateByExampleSelective(ThirdMsgLogDO record, ThirdMsgLogDOExample example);

    int updateByExample(ThirdMsgLogDO record, ThirdMsgLogDOExample example);

    int updateByPrimaryKeySelective(ThirdMsgLogDO record);

    int updateByPrimaryKey(ThirdMsgLogDO record);

    int updateBatch(List<ThirdMsgLogDO> list);

    int batchInsert(List<ThirdMsgLogDO> list);

}
